<?php
/**
 * @file
 * mm_vocab.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function mm_vocab_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'mm_autocomplete';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'taxonomy_term_data';
  $view->human_name = 'mm_autocomplete';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Field: Taxonomy term: Display name */
  $handler->display->display_options['fields']['field_mm_display_name']['id'] = 'field_mm_display_name';
  $handler->display->display_options['fields']['field_mm_display_name']['table'] = 'field_data_field_mm_display_name';
  $handler->display->display_options['fields']['field_mm_display_name']['field'] = 'field_mm_display_name';
  $handler->display->display_options['fields']['field_mm_display_name']['label'] = '';
  $handler->display->display_options['fields']['field_mm_display_name']['element_label_colon'] = FALSE;

  /* Display: Entity Reference */
  $handler = $view->new_display('entityreference', 'Entity Reference', 'entityreference_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'entityreference_style';
  $handler->display->display_options['style_options']['search_fields'] = array(
    'field_mm_display_name' => 'field_mm_display_name',
    'name' => 0,
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'entityreference_fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $export['mm_autocomplete'] = $view;

  return $export;
}
